Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf
Class PDFDocumentHandlerMaker

    java.lang.Object
      org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker
          org.apache.fop.render.pdf.PDFDocumentHandlerMaker

    public class PDFDocumentHandlerMaker

extends AbstractIFDocumentHandlerMaker

Intermediate format document handler factory for PDF output.

Constructor Summary
`PDFDocumentHandlerMaker()`

Method Summary
`java.lang.String[]` | `getSupportedMimeTypes()`
`IFDocumentHandler` | `makeIFDocumentHandler(FOUserAgent ua)` Instantiates a new `IFDocumentHandler`.
`boolean` | `needsOutputStream()`

Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker
`isMimeTypeSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFDocumentHandlerMaker

    public PDFDocumentHandlerMaker()

Method Detail

### makeIFDocumentHandler

    public IFDocumentHandler makeIFDocumentHandler(FOUserAgent ua)

  Instantiates a new `IFDocumentHandler`.

  Specified by:
    `makeIFDocumentHandler` in class `AbstractIFDocumentHandlerMaker`
  Parameters:
    `ua` - the user agent
  Returns:
    the newly instantiated document handler

### needsOutputStream

    public boolean needsOutputStream()

  Specified by:
    `needsOutputStream` in class `AbstractIFDocumentHandlerMaker`
  Returns:
    Indicates whether this document handler requires an OutputStream to work with.

### getSupportedMimeTypes

    public java.lang.String[] getSupportedMimeTypes()

  Specified by:
    `getSupportedMimeTypes` in class `AbstractIFDocumentHandlerMaker`
  Returns:
    an array of MIME types the document handler supports.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.